Name:           latex2rtf
Version:        2.3.8
Release:        5%{?dist}
Summary:        LaTeX to RTF converter that handles equations, figures, and cross-references
License:        GPLv2+
URL:            http://latex2rtf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-latex2rtf-FTBFS-with-texinfo-5.patch
# For running the tests
BuildRequires:  ImageMagick
BuildRequires:  texinfo
BuildRequires:  texinfo-tex
%if 0%{?rhel} == 5
BuildRequires:  tetex-latex
%else
BuildRequires:  tex(latex)
%endif
%if 0%{?fedora} >= 18
BuildRequires:  texlive-a4wide
BuildRequires:  texlive-courier
BuildRequires:  texlive-helvetic
BuildRequires:  texlive-psfrag
BuildRequires:  texlive-times
%endif
%if 0%{?rhel} > 0
BuildRequires:  man
%else
BuildRequires:  man2html-core
%endif
Requires:       gawk
Requires:       grep
# For converting images, /usr/bin/convert
Requires:       ImageMagick
Requires:       sed
# For latex2png, ghostscript
Requires:       /usr/bin/eps2eps
# Including netpbm, latex2html, some sty files might be missing from userland
Requires:       texlive-collection-basic
Requires:       texlive-collection-latex
Requires:       texlive-collection-latexextra
Requires:       texlive-collection-latexrecommended
# Info file requirement
Requires(post): info
Requires(preun):info

%description
LaTeX2rtf is a translator program which is intended to translate a LaTeX
document (precisely: the text and a limited subset of LaTeX tags) into the RTF
format which can be imported by several text processors (including Microsoft
Word for Windows and Word for Macintosh). 

%prep
%setup -q
%patch0 -p1

# Get rid of iffy permissions.
chmod a-x cfg/*.cfg

# Delete prebuilt objects in case of subtle failure.
find -name "*.o" -delete -print

# Fix permissions again for normal files.
find . -type f -exec chmod 644 {} \;
chmod 755 test/bracecheck
chmod 755 scripts/latex2png

# Change encoding of documentation.
for txtfile in ChangeLog Copyright; do
 iconv -f ASCII -t UTF-8 $txtfile >$txtfile.new && \
 touch -r $txtfile $txtfile.new && \
 mv $txtfile{.new,} 
done

%build
# Set the necessary config options, including location of config files
# -fsigned-char is useful for special arches, don't forget it.
%make_build CFLAGS="%{optflags} -DUNIX -fsigned-char" LDFLAGS="%{?__global_ldflags}" DESTDIR=%{_prefix} CFGDIR=/share/%{name}/cfg

%install
make install DESTDIR=%{buildroot}%{_prefix}
make install-info DESTDIR=%{buildroot}%{_prefix}
# Remove unnecessary file from infodir
rm -frv %{buildroot}%{_infodir}/dir

%check
make check

%post
install-info --quiet %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
    install-info --quiet --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc ChangeLog Copyright doc/latex2rtf.pdf doc/latex2rtf.html doc/copying.txt doc/credits
%{_bindir}/latex2png
%{_bindir}/latex2rtf
%{_datadir}/latex2rtf/
%{_infodir}/latex2rtf.info.*
%{_mandir}/man1/latex2png.1.*
%{_mandir}/man1/latex2rtf.1.*

%changelog
* Thu Feb 19 2015 Christopher Meng <rpm@cicku.me> - 2.3.8-5
- Fix broken requires again.

* Tue Feb 17 2015 Christopher Meng <rpm@cicku.me> - 2.3.8-4
- Add missing requires again.

* Mon Feb 02 2015 Christopher Meng <rpm@cicku.me> - 2.3.8-4
- Add missing requires for latex2png

* Thu Aug 28 2014 Christopher Meng <rpm@cicku.me> - 2.3.8-3
- Fix FTBFS with texinfo 5.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 30 2014 Christopher Meng <rpm@cicku.me> - 2.3.8-1
- Update to 2.3.8

* Tue Jul 01 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.7a-1
- Update to 2.3.7a.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.6-1
- Update to 2.3.6.

* Mon Feb 17 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.5-1
- Update to 2.3.5.

* Sun Nov 17 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.4-1
- Update to 2.3.4.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 06 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.3-1
- Update to 2.3.3.

* Wed Feb 27 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.2a-1
- Update to 2.3.2a.

* Fri Feb 15 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1.

* Tue Oct 16 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-2
- Fixed build in EPEL.

* Tue Oct 16 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0.

* Wed Sep 26 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.1c-1
- Update to 2.2.1c.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-2
- Fix configuration directory location.

* Mon Jun 04 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 05 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.19-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-8
- Added patch to fix image height on 64-bit architectures.
  https://bugzilla.redhat.com/show_bug.cgi?id=497752

* Wed Mar 25 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-7
- Retry EPEL fix: disable check phase which doesn't seem to work 
  for some reason on EPEL 5 ppc (segfault in list.tex).

* Sun Mar 22 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-6
- Fix EPEL build.

* Sat Mar 21 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-5
- Keep documentation time stamps when converting encoding.

* Fri Mar 13 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-4
- Added check phase.

* Thu Mar 12 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-3
- Review fixes.

* Sun Dec 21 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-2
- Fix perms on config files.

* Sun Nov 02 2008 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.9.19-1
- First release.
